# -*- coding: utf-8 -*-
"""
Created on Wed Nov 24 14:48:00 2021

@author: virgi
"""
import tensorflow as tf



def snake(x, alpha=1.0):
    return (x + tf.sin(x)**2/alpha)


def x_sin(x,alpha=1.0):
    return (x + tf.sin(x)/alpha)

def sin(x,alpha=1.0):
    return(tf.sin(x)/alpha)



